DocumentFilter.FilterBypass (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text, class: DocumentFilter, class: FilterBypass
Keywords: javax.swing.text.DocumentFilter.FilterBypass class

# Class DocumentFilter.FilterBypass

java.lang.Object
javax.swing.text.DocumentFilter.FilterBypass

Enclosing class:
  `DocumentFilter`

public abstract static class DocumentFilter.FilterBypass extends Object
Used as a way to circumvent calling back into the Document to change it. Document implementations that wish to support a DocumentFilter must provide an implementation that will not callback into the DocumentFilter when the following methods are invoked from the DocumentFilter.

Since:
  1.4

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FilterBypass()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Document`
  `getDocument()`
  Returns the Document the mutation is occurring on.
  `abstract void`
  `insertString(int offset, String string, AttributeSet attr)`
  Inserts the specified text, bypassing the DocumentFilter.
  `abstract void`
  `remove(int offset, int length)`
  Removes the specified region of text, bypassing the DocumentFilter.
  `abstract void`
  `replace(int offset, int length, String string, AttributeSet attrs)`
  Deletes the region of text from `offset` to `offset + length`, and replaces it with `text`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### FilterBypass

    protected FilterBypass()
    Constructor for subclasses to call.

- ## Method Details

  - ### getDocument

    public abstract Document getDocument()
    Returns the Document the mutation is occurring on.
    Returns:
      Document that remove/insertString will operate on

  - ### remove

    public abstract void remove(int offset, int length) throws BadLocationException
    Removes the specified region of text, bypassing the DocumentFilter.
    Parameters:
      `offset` - the offset from the beginning >= 0
      `length` - the number of characters to remove >= 0
    Throws:
      `BadLocationException` - some portion of the removal range was not a valid part of the document. The location in the exception is the first bad position encountered.

  - ### insertString

    public abstract void insertString(int offset, String string, AttributeSet attr) throws BadLocationException
    Inserts the specified text, bypassing the DocumentFilter.
    Parameters:
      `offset` - the offset into the document to insert the content >= 0. All positions that track change at or after the given location will move.
      `string` - the string to insert
      `attr` - the attributes to associate with the inserted content. This may be null if there are no attributes.
    Throws:
      `BadLocationException` - the given insert position is not a valid position within the document

  - ### replace

    public abstract void replace(int offset, int length, String string, AttributeSet attrs) throws BadLocationException
    Deletes the region of text from `offset` to `offset + length`, and replaces it with `text`.
    Parameters:
      `offset` - Location in Document
      `length` - Length of text to delete
      `string` - Text to insert, null indicates no text to insert
      `attrs` - AttributeSet indicating attributes of inserted text, null is legal.
    Throws:
      `BadLocationException` - the given insert is not a valid position within the document